RDDepictor.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include <RDGeneral/types.h>`
`#include <Geometry/point.h>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDDepict::DepictException

## Namespaces

| RDKit
| Std stuff.
| RDDepict

## Functions

RDKIT_DEPICTOR_EXPORT unsigned int | RDDepict::compute2DCoords (RDKit::ROMol &mol, const RDGeom::INT_POINT2D_MAP *coordMap=nullptr, bool canonOrient=false, bool clearConfs=true, unsigned int nFlipsPerSample=0, unsigned int nSamples=0, int sampleSeed=0, bool permuteDeg4Nodes=false, bool forceRDKit=false)
| Generate 2D coordinates (a depiction) for a molecule. More...
RDKIT_DEPICTOR_EXPORT unsigned int | RDDepict::compute2DCoordsMimicDistMat (RDKit::ROMol &mol, const DOUBLE_SMART_PTR *dmat=nullptr, bool canonOrient=true, bool clearConfs=true, double weightDistMat=0.5, unsigned int nFlipsPerSample=3, unsigned int nSamples=100, int sampleSeed=25, bool permuteDeg4Nodes=true, bool forceRDKit=false)
| Compute the 2D coordinates such the interatom distances mimic those in a distance matrix. More...
RDKIT_DEPICTOR_EXPORT RDKit::MatchVectType | RDDepict::generateDepictionMatching2DStructure (RDKit::ROMol &mol, const RDKit::ROMol &reference, int confId=-1, const RDKit::ROMol *referencePattern=static_cast< const RDKit::ROMol * >(nullptr), bool acceptFailure=false, bool forceRDKit=false, bool allowOptionalAttachments=false)
| Compute 2D coordinates where a piece of the molecule is constrained to have the same coordinates as a reference. More...
RDKIT_DEPICTOR_EXPORT void | RDDepict::generateDepictionMatching2DStructure (RDKit::ROMol &mol, const RDKit::ROMol &reference, const RDKit::MatchVectType &refMatchVect, int confId=-1, bool forceRDKit=false)
| Compute 2D coordinates where a piece of the molecule is constrained to have the same coordinates as a reference. More...
RDKIT_DEPICTOR_EXPORT void | RDDepict::generateDepictionMatching3DStructure (RDKit::ROMol &mol, const RDKit::ROMol &reference, int confId=-1, RDKit::ROMol *referencePattern=nullptr, bool acceptFailure=false, bool forceRDKit=false)
| Generate a 2D depiction for a molecule where all or part of it mimics the coordinates of a 3D reference structure. More...

## Variables

RDKIT_DEPICTOR_EXPORT bool | RDDepict::preferCoordGen